import TextField from '@mui/material/TextField';
import Button from '@mui/material/Button';
import Box from '@mui/material/Box';

function Login(props) {
    const username = props.username;
    const password = props.password;

    const loginFunction = () => {
        fetch(
            "http://127.0.0.1:5000/login",
            {
                method: "POST", // or 'PUT'
                headers: {
                    "Content-Type": "application/json",
                },
                body: JSON.stringify({ "authenticate": { "username": username, "password": password } }),
            }
        )
            .then((response) => response.json())
            .then((response) => {
                //do something with the response
                console.log("Got Test Response:", response)
                props.setFoo(response);
                if (response["status"] === "success") {
                    props.setAuthenticated(true);
                }
            });
    };

    return (
        <div style={{ display: 'flex', flexDirection: 'column', alignItems: 'center' }}>
            <h1 style={{ marginTop: '-40px', marginBottom: '50px' }}>Welcome to the Crisis Events Text Summarization Website</h1>
            <Box
                sx={{
                    backgroundColor: 'white',
                    display: 'flex',
                    flexDirection: 'column',
                    alignItems: 'center',
                    justifyContent: 'center',
                    height: '50vh',
                    width: '20vw',
                    borderRadius: '10px'
                }}
            >
                <h1>Login</h1>
                <TextField
                    sx={{ backgroundColor: 'white', marginBottom: '-8px' }}
                    label="Username"
                    variant="outlined"
                    value={username}
                    onChange={(e) => props.setUsername(e.target.value)}
                    margin="normal"
                />
                <TextField
                    sx={{ backgroundColor: 'white' }}
                    label="Password"
                    type="password"
                    variant="outlined"
                    value={password}
                    onChange={(e) => props.setPassword(e.target.value)}
                    margin="normal"
                />
                <Button
                    variant="contained"
                    aria-label="Basic button group"
                    onClick={loginFunction}
                    sx={{marginTop: '15px'}}
                >
                    Login
                </Button>
            </Box>
        </div>
    );
}

export default Login;